This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 872783 (Ray)

Summary: Review Request: Ray - Parallel genome assemblies for parallel DNA sequencing
Product: [Fedora] Fedora Reporter: Sébastien Boisvert <seb>
Component: Package ReviewAssignee: Susi Lehtola <susi.lehtola>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: eldermarco, maurizio.antillon, mjg, mrunge, notting, seb, susi.lehtola
Target Milestone: ---Flags: susi.lehtola: fedora‑review+
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://lists.fedoraproject.org/pipermail/scitech/2012-November/000148.html
Whiteboard:
Fixed In Version: Ray-2.3.1-3.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 23:33:28 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
These are the flags I see. I don't see the flag "fedora-cvs". none

Description Sébastien Boisvert 2012-11-02 23:54:54 EDT
Spec URL:
https://raw.github.com/sebhtml/ray-packaging-for-Fedora/master/2.1.0/ray.spec

SRPM URL:
https://github.com/sebhtml/ray-packaging-for-Fedora/raw/master/2.1.0/ray-2.1.0-1.fc17.src.rpm


Description:

Ray is a parallel software that computes de novo genome assemblies with
next-generation sequencing data.
Ray is written in C++ and can run in parallel on numerous interconnected
computers using the message-passing interface (MPI) standard.
Included:
  - Ray de novo assembly of single genomes
  - Ray Méta de novo assembly of metagenomes
  - Ray Communities microbe abundance + taxonomic profiling
  - Ray Ontologies gene ontology profiling
Comment 2 Sébastien Boisvert 2012-11-03 00:11:51 EDT
The spec file generates 3 packages: ray, ray-doc and ray-extra.

rpmlint reports nothing bad:

$ rpmlint ray.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

I tested the packages and it works fine on my system on SRA001125 (E. coli).

$ ls * -1
ray-2.1.0-1.fc17.x86_64.rpm
ray-debuginfo-2.1.0-1.fc17.x86_64.rpm
ray-doc-2.1.0-1.fc17.x86_64.rpm
ray-extra-2.1.0-1.fc17.x86_64.rpm
Comment 3 Susi Lehtola 2012-11-03 06:43:04 EDT
A few notes:

please put the declarations of the subpackages (%package followed by %description) directly after the main %description, before %setup.

The %files sections belong to the end of the spec, before the %changelog.

**

I'm a bit baffled by
 make HAVE_LIBZ=y HAVE_LIBBZ2=y 
 module load mpi/openmpi-x86_64

Isn't this an MPI code, meaning that the MPI compiler should be already in use in the compilation stage?

Please read through the MPI guidelines
 https://fedoraproject.org/wiki/Packaging:MPI#Packaging_of_MPI_software
which your package should follow. Use the %{_openmpi_load} macro, which takes care of the correct architecture.
 

**

The use of
 %{buildroot}/%{_bindir}
is correct, but not very standard.
 %{buildroot}%{_bindir}
does the same thing.

**

Don't install the documentation by hand.

# doc (ray-doc)
mkdir -p %{buildroot}/%{_defaultdocdir}/ray/Documentation
mkdir -p %{buildroot}/%{_defaultdocdir}/ray/RayPlatform/Documentation
install -m 0644 Documentation/* %{buildroot}/%{_defaultdocdir}/ray/Documentation
install -m 0644 RayPlatform/Documentation/* %{buildroot}/%{_defaultdocdir}/ray/RayPlatform/Documentation

%files doc
%{_defaultdocdir}/ray/Documentation/*
%{_defaultdocdir}/ray/RayPlatform/Documentation/*

This should be as simple as
%files doc
%doc Documentation/*
%doc Rayplatform/Documentation/*
Note that here the spurious Documentation directory is not included, as it is not really necessary (/usr/share/doc is already the place where documentation is placed).

However, here all the files end up in the same place. If you want the Rayplatform stuff to be in a subdirectory, then you need to e.g.

mkdir doc
cp -ar RayPlatform/Documentation/ doc/Rayplatform

%files doc
%doc Documentation/*
%doc doc/Rayplatform/

The trailing slash is not necessary, but it just makes explicit to the reader that it is a directory.
Comment 4 Sébastien Boisvert 2012-11-03 09:43:11 EDT
Thanks!

I implemented all changes:

Spec URL: 
https://raw.github.com/sebhtml/ray-packaging-for-Fedora/3d677e7b1e98afa89f3a8ab0fc546c3b39b47e6d/2.1.0/ray.spec

SRPM URL:
https://github.com/sebhtml/ray-packaging-for-Fedora/raw/master/2.1.0/ray-2.1.0-2.fc17.src.rpm

On 11/03/2012 08:14 AM, Sébastien Boisvert wrote:> A few notes:
> 
> please put the declarations of the subpackages (%package followed by %description) directly after the main %description, before %setup.
>
> The %files sections belong to the end of the spec, before the %changelog.
>

- Moved subpackage declarations to the top
 
> **
> 
> I'm a bit baffled by
>    make HAVE_LIBZ=y HAVE_LIBBZ2=y
>    module load mpi/openmpi-x86_64
> 
> Isn't this an MPI code, meaning that the MPI compiler should be already in use in the compilation stage?
> 
> Please read through the MPI guidelines
>    https://fedoraproject.org/wiki/Packaging:MPI#Packaging_of_MPI_software
> which your package should follow. Use the %{_openmpi_load} macro, which takes care of the correct architecture.
>    
>

- Added subpackages common, openmpi, mpich2

> **
> 
> The use of
>    %{buildroot}/%{_bindir}
> is correct, but not very standard.
>    %{buildroot}%{_bindir}
> does the same thing.
> 

- Removed useless '/' after %{buildroot}

> **
> 
> Don't install the documentation by hand.
> 
> # doc (ray-doc)
> mkdir -p %{buildroot}/%{_defaultdocdir}/ray/Documentation
> mkdir -p %{buildroot}/%{_defaultdocdir}/ray/RayPlatform/Documentation
> install -m 0644 Documentation/* %{buildroot}/%{_defaultdocdir}/ray/Documentation
> install -m 0644 RayPlatform/Documentation/* %{buildroot}/%{_defaultdocdir}/ray/RayPlatform/Documentation
> 
> %files doc
> %{_defaultdocdir}/ray/Documentation/*
> %{_defaultdocdir}/ray/RayPlatform/Documentation/*
> 
> This should be as simple as
> %files doc
> %doc Documentation/*
> %doc Rayplatform/Documentation/*
> Note that here the spurious Documentation directory is not included, as it is not really necessary (/usr/share/doc is already the place where documentation is placed).
> 
> However, here all the files end up in the same place. If you want the Rayplatform stuff to be in a subdirectory, then you need to e.g.
> 
> mkdir doc
> cp -ar RayPlatform/Documentation/ doc/Rayplatform
> 
> %files doc
> %doc Documentation/*
> %doc doc/Rayplatform/
> 
> The trailing slash is not necessary, but it just makes explicit to the reader that it is a directory.
> 

- Fixed the packaging of Documentation
Comment 5 Sébastien Boisvert 2012-11-03 11:35:32 EDT
*** Bug 872782 has been marked as a duplicate of this bug. ***
Comment 6 Sébastien Boisvert 2012-11-03 19:48:41 EDT
Hello,

After reading Fedora guidelines:

- Removed symbols that are not U.S. American English from man page
- Added Fedora compilation flags (optflags)

Spec URL:
https://github.com/sebhtml/ray-packaging-for-Fedora/raw/c14952102070819e3e6e1ba7a5f00e84937af194/2.1.0/ray.spec

SRPM URL:
https://github.com/sebhtml/ray-packaging-for-Fedora/raw/c14952102070819e3e6e1ba7a5f00e84937af194/2.1.0/ray-2.1.0-1.fc17.src.rpm

rpmlint throws 0 error and some invalid warnings:

> $ rpmlint ~/rpmbuild/SPECS/ray.spec 
> 0 packages and 1 specfiles checked; 0 errors, 0 warnings.

> $ rpmlint ~/rpmbuild/RPMS/x86_64/*.rpm
> ray-common.x86_64: W: spelling-error %description -l en_US de -> DE, ed, d
> ray-common.x86_64: W: spelling-error %description -l en_US novo -> nova, Nov
> ray-doc.x86_64: W: spelling-error %description -l en_US de -> DE, ed, d
> ray-doc.x86_64: W: spelling-error %description -l en_US novo -> nova, Nov
> ray-extra.x86_64: W: spelling-error %description -l en_US de -> DE, ed, d
> ray-extra.x86_64: W: spelling-error %description -l en_US novo -> nova, Nov
> ray-extra.x86_64: W: no-documentation
> ray-mpich2.x86_64: W: spelling-error %description -l en_US de -> DE, ed, d
> ray-mpich2.x86_64: W: spelling-error %description -l en_US novo -> nova, Nov
> ray-mpich2.x86_64: W: no-documentation
> ray-openmpi.x86_64: W: spelling-error %description -l en_US de -> DE, ed, d
> ray-openmpi.x86_64: W: spelling-error %description -l en_US novo -> nova, Nov
> ray-openmpi.x86_64: W: no-documentation
> 6 packages and 0 specfiles checked; 0 errors, 13 warnings.

- "de novo" is used as "de novo genome assembly", which is valid.
- documentation for ray-mpich2 and ray-openmpi is provided by ray-common.

> $ rpmlint ~/rpmbuild/SRPMS/ray-2.1.0-1.fc17.src.rpm
> ray.src: W: spelling-error %description -l en_US de -> DE, ed, d
> ray.src: W: spelling-error %description -l en_US novo -> nova, Nov
> ray.src: W: spelling-error %description -l en_US metagenomes -> meta genomes, meta-genomes, genomes
> 1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Metagenome is really spelled that way in U.S. English.

Thanks !
Comment 7 Susi Lehtola 2012-11-03 20:01:29 EDT
Your CXXFLAGS declaration is rather long, please split it on more lines.

Note that you can replace
 cat Ray.1.man|sed 's/Erdős.*Rényi/Erdos-Renyi/g' | sed 's/é/e/g' | sed 's/É/E/g' | sed 's/ç/c/g' |sed 's/ő/o/g' > Ray.1
with the much more compact
 sed 's/Erdős.*Rényi/Erdos-Renyi/g;s/é/e/g;s/É/E/g;s/ç/c/g;s/ő/o/g' Ray.1.man > Ray.1

Still looking at just the specfile, the -extra package should own
 %{_datadir}/ray/
completely since none of the other packages place anything there. Otherwise  
 %{_datadir}/ray/
 %{_datadir}/ray/scripts/
will remain after the package has been uninstalled.

**

In order for you to get sponsored you need to show your knowing of the Fedora guidelines, most importantly
 http://fedoraproject.org/wiki/Packaging/Guidelines
 http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
In addition to the Packaging Guidelines, there are a bunch of language / application specific guidelines that are linked to in the Packaging Guidelines.

Here are some tricks of the trade:
http://fedoraproject.org/wiki/Packaging_tricks
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
http://fedoraproject.org/wiki/Common_Rpmlint_issues

Please read these through. I will sponsor you if you do a couple of informal reviews from the review queue. Please review only packages *not* marked with FE-NEEDSPONSOR. I will have to do the full formal review after you to check that you have got everything correctly. Once I have sponsored you you will be able to do formal reviews of your own.
Comment 8 Sébastien Boisvert 2012-11-04 01:10:26 EST
Spec URL:
https://github.com/sebhtml/ray-packaging-for-Fedora/raw/68f23d20512012ace420bfdd3d69c557b5e93cf1/2.1.0/ray.spec

SRPM URL:
https://github.com/sebhtml/ray-packaging-for-Fedora/raw/68f23d20512012ace420bfdd3d69c557b5e93cf1/2.1.0/ray-2.1.0-1.fc17.src.rpm

See my answers below:

> Your CXXFLAGS declaration is rather long, please split it on more lines.
> 

CXXFLAGS is now on 3 lines.

> Note that you can replace
> cat Ray.1.man|sed 's/Erdős.*Rényi/Erdos-Renyi/g' | sed 's/é/e/g' | sed 's/É/E/g' | sed 's/ç/c/g' |sed 's/ő/o/g' > Ray.1
> with the much more compact
> sed 's/Erdős.*Rényi/Erdos-Renyi/g;s/é/e/g;s/É/E/g;s/ç/c/g;s/ő/o/g' Ray.1.man > Ray.1
> 

Replacement of non-ASCII characters is now compact.

> Still looking at just the specfile, the -extra package should own
> %{_datadir}/ray/
> completely since none of the other packages place anything there. Otherwise  
> %{_datadir}/ray/
> %{_datadir}/ray/scripts/
> will remain after the package has been uninstalled.
> 

ray-extra now ships %{_datadir}/ray/ instead of %{_datadir}/ray/scripts/.

> **
> 
> In order for you to get sponsored you need to show your knowing of the Fedora guidelines, most importantly
> http://fedoraproject.org/wiki/Packaging/Guidelines
> http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
> In addition to the Packaging Guidelines, there are a bunch of language 
> / application specific guidelines that are linked to in the Packaging Guidelines.
> 
> Here are some tricks of the trade:
> http://fedoraproject.org/wiki/Packaging_tricks
> http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
> http://fedoraproject.org/wiki/Common_Rpmlint_issues
> 
> Please read these through. I will sponsor you if you do a couple of informal
> reviews from the review queue. Please review only packages *not* marked with
> FE-NEEDSPONSOR. I will have to do the full formal review after you to check 
> that you have got everything correctly. Once I have sponsored you you will 
> be able to do formal reviews of your own.

I have added this page https://fedoraproject.org/wiki/User:Sebhtml 
where my (upcoming) informal reviews will be listed.
Comment 9 Susi Lehtola 2012-11-04 02:48:22 EST
The package does not build in mock. You're missing BuildRequires: help2man.

And even after that I get

+ help2man --no-info -n 'assemble genomes in parallel using the message-passing interface' /builddir/build/BUILD/Ray-v2.1.0/Ray
help2man: can't get `--help' info from /builddir/build/BUILD/Ray-v2.1.0/Ray
Try `--no-discard-stderr' if option outputs to stderr
Comment 10 Susi Lehtola 2012-11-04 03:07:39 EST
Please increment the Release every time you make changes to the spec file, also during the review! Otherwise it's very hard to follow reviews.
Comment 11 Sébastien Boisvert 2012-11-04 04:25:22 EST
Spec URL:
https://raw.github.com/sebhtml/ray-packaging-for-Fedora/for-review/ray-2.1.0-2/2.1.0/ray.spec
SRPM URL:
https://raw.github.com/sebhtml/ray-packaging-for-Fedora/for-review/ray-2.1.0-2/2.1.0/ray-2.1.0-2.fc17.src.rpm
Description: Parallel genome assemblies for parallel DNA sequencing
Fedora Account System Username: sebhtml

The package now builds in mock:

$ mock -r fedora-17-x86_64 rebuild ray-2.1.0-2.fc17.src.rpm &> ray-2.1.0-2.fc17.src.rpm.mock
$ tail -n1 ray-2.1.0-2.fc17.src.rpm.mock
Finish: run

* Fri Nov 4 2012 Sébastien Boisvert <sebastien.boisvert.3@ulaval.ca> - 2.1.0-2
- Added build dependency help2man 
- Added OMPI_MCA_orte_rsh_agent to pass mock builds

> The package does not build in mock. You're missing BuildRequires: help2man.

Fixed.

> And even after that I get
>
> + help2man --no-info -n 'assemble genomes in parallel using the message-passing interface' /builddir/build/BUILD/Ray-v2.1.0/Ray
> help2man: can't get `--help' info from /builddir/build/BUILD/Ray-v2.1.0/Ray
> Try `--no-discard-stderr' if option outputs to stderr

Fixed by adding 

    export OMPI_MCA_orte_rsh_agent=/bin/false

before calling help2man

I started reviewing submissions:
  
  https://fedoraproject.org/wiki/User:Sebhtml#Finding_a_sponsor

For this "SHOULD: The reviewer should test that the package functions as described.",
here are two system tests if you want to try Ray.

# Test 1

module load openmpi-x86_64
mpiexec -n 32 Ray$MPI_SUFFIX -o test \
-test-network-only
module unload openmpi-x86_64

# Test 2

wget ftp://ftp.ddbj.nig.ac.jp/ddbj_database/dra/fastq/SRA001/SRA001125/SRX000429/SRR001665_1.fastq.bz2
wget ftp://ftp.ddbj.nig.ac.jp/ddbj_database/dra/fastq/SRA001/SRA001125/SRX000429/SRR001665_2.fastq.bz2
wget ftp://ftp.ddbj.nig.ac.jp/ddbj_database/dra/fastq/SRA001/SRA001125/SRX000430/SRR001666_1.fastq.bz2
wget ftp://ftp.ddbj.nig.ac.jp/ddbj_database/dra/fastq/SRA001/SRA001125/SRX000430/SRR001666_2.fastq.bz2

module load openmpi-x86_64
mpiexec -n 32 Ray$MPI_SUFFIX -k 23 -o Ecoli \
-p SRR001665_1.fastq.bz2 SRR001665_2.fastq.bz2 \
-p SRR001666_1.fastq.bz2 SRR001666_1.fastq.bz2 
module unload openmpi-x86_64
Comment 12 Susi Lehtola 2012-11-04 04:58:13 EST
rpmlint output:
$ rpmlint *.rpm
ray.src: W: spelling-error %description -l en_US de -> DE, ed, d
ray.src: W: spelling-error %description -l en_US novo -> nova, Nov
ray.src: W: spelling-error %description -l en_US metagenomes -> meta genomes, meta-genomes, genomes
ray-common.x86_64: W: spelling-error %description -l en_US de -> DE, ed, d
ray-common.x86_64: W: spelling-error %description -l en_US novo -> nova, Nov
ray-doc.x86_64: W: spelling-error %description -l en_US de -> DE, ed, d
ray-doc.x86_64: W: spelling-error %description -l en_US novo -> nova, Nov
ray-extra.x86_64: W: spelling-error %description -l en_US de -> DE, ed, d
ray-extra.x86_64: W: spelling-error %description -l en_US novo -> nova, Nov
ray-extra.x86_64: W: no-documentation
ray-mpich2.x86_64: W: spelling-error %description -l en_US de -> DE, ed, d
ray-mpich2.x86_64: W: spelling-error %description -l en_US novo -> nova, Nov
ray-mpich2.x86_64: W: no-documentation
ray-openmpi.x86_64: W: spelling-error %description -l en_US de -> DE, ed, d
ray-openmpi.x86_64: W: spelling-error %description -l en_US novo -> nova, Nov
ray-openmpi.x86_64: W: no-documentation
7 packages and 0 specfiles checked; 0 errors, 16 warnings.

MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK

MUST: The package must be named according to the Package Naming Guidelines. NEEDSWORK
- Since there is clearly a preference for upper case naming, the package should be named Ray instead of ray.
* The project name is spelled in upper case
* The tarball name is in upper case
* The source directory in the tarball is in upper case
* The binary is in upper case

MUST: The spec file name must match the base package %{name}. OK
- .. but change the name of the spec file too when you change the name.

MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
- licensecheck reveals GPL and LGPL files, but it doesn't detect any versioning.
- manual inspection reveals GPLv3 and LGPLv3, meaning that the license tag GPLv3 is correct.
http://fedoraproject.org/wiki/Packaging:LicensingGuidelines

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
$ sha1sum Ray-v2.1.0.tar.bz2 ../SOURCES/Ray-v2.1.0.tar.bz2 
4c09f2731445852857af53b65aa47e444792eeb0  Ray-v2.1.0.tar.bz2
4c09f2731445852857af53b65aa47e444792eeb0  ../SOURCES/Ray-v2.1.0.tar.bz2

MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Large documentation files must go in a -doc subpackage. OK
- The docs are just 40kB, so you could also just drop the -doc package and include the documentation in -common.

MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. NEEDSWORK
- Add AUTHORS to %doc in -common.

MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned, architecture dependent dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
EPEL5: Clean section exists. OK
EPEL5: Buildroot cleaned before install. OK
EPEL5: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
Comment 13 Sébastien Boisvert 2012-11-04 09:48:51 EST
Spec URL: http://github.com/sebhtml/ray-packaging-for-Fedora/raw/2.1.0-3/Ray.spec
SRPM URL: http://github.com/sebhtml/ray-packaging-for-Fedora/raw/2.1.0-3/Ray-2.1.0-3.fc17.src.rpm

* Fri Nov 4 2012 Sébastien Boisvert <sebastien.boisvert.3@ulaval.ca> - 2.1.0-3
- Changed the package name from ray to Ray
- Renamed README.md to README
- Added AUTHORS, README.RayPlatform, AUTHORS.RayPlatform

> MUST: The package must be named according to the Package Naming Guidelines. NEEDSWORK

Fixed

> - .. but change the name of the spec file too when you change the name.

Fixed

> MUST: Large documentation files must go in a -doc subpackage. OK
> - The docs are just 40kB, so you could also just drop the -doc package and include the documentation in -common.

I prefer the -doc because: "Large can refer to either size or quantity"  
 -- http://fedoraproject.org/wiki/Packaging:ReviewGuidelines?rd=Packaging/ReviewGuidelines

> MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. NEEDSWORK
> - Add AUTHORS to %doc in -common.

Fixed
Comment 14 Michael J Gruber 2012-11-05 08:23:37 EST
A few additional remarks from my side:

You don't need to replace those non-ascii characters in the man page. Just ensure that the encoding is correct.

The description of all subpackages seems to be the same. Usually, we have the generic description (which could be, but does not need to be a macro) plus a paragraph about the subpackage, such as:

This subpackage enables parallel computation using openmpi.
Comment 15 Sébastien Boisvert 2012-11-05 18:44:38 EST
Spec URL: http://github.com/sebhtml/ray-packaging-for-Fedora/raw/2.1.0-4/Ray.spec
SRPM URL: http://github.com/sebhtml/ray-packaging-for-Fedora/raw/2.1.0-4/Ray-2.1.0-4.fc17.src.rpm

> A few additional remarks from my side:
>
> You don't need to replace those non-ascii characters in the man page. Just ensure that the encoding is correct.
>

Fixed, but:

Ray --help generates UTF-8:

$ mpiexec -n 1 ~/rpmbuild/BUILD/Ray-v2.1.0/Ray_openmpi --help > 1
$ file 1
1: UTF-8 Unicode text

But the man page is not in UTF-8:

$ zcat /usr/share/man/man1/Ray.1.gz > 1 
$ file 1
1: troff or preprocesstor input, Non-ISO extended-ASCII text

If I run help2man with --locale en_US.UTF-8, it fails with:

"help2man: no locale support (Locale::gettext required)"

> The description of all subpackages seems to be the same. Usually, we have the generic description
> (which could be, but does not need to be a macro) plus a paragraph about the subpackage, such as:
> This subpackage enables parallel computation using openmpi.

Fixed.
Comment 16 Susi Lehtola 2012-11-05 18:48:54 EST
(In reply to comment #15)
> If I run help2man with --locale en_US.UTF-8, it fails with:
> 
> "help2man: no locale support (Locale::gettext required)"

Looks like you need to add BuildRequires: perl-gettext.
Comment 17 Sébastien Boisvert 2012-11-05 19:17:06 EST
> Looks like you need to add BuildRequires: perl-gettext.

It is already there in Ray.spec (2.1.0-4)

help2man in Koji:

http://koji.fedoraproject.org/koji/buildinfo?buildID=358087
Comment 18 Susi Lehtola 2012-11-05 19:27:16 EST
(In reply to comment #17)
> > Looks like you need to add BuildRequires: perl-gettext.
> 
> It is already there in Ray.spec (2.1.0-4)

That's true.

> help2man in Koji:
> 
> http://koji.fedoraproject.org/koji/buildinfo?buildID=358087

Looks like you should file a bug against help2man and ask the maintainer to turn on nls support.
Comment 19 Sébastien Boisvert 2012-11-05 21:10:57 EST
> Looks like you should file a bug against help2man and ask the maintainer to turn on nls support.

Bug # 873493
Comment 20 Sébastien Boisvert 2012-11-18 21:35:03 EST
Should I remove the accents from my package since help2man has no nls support in Fedora (see #873493) ?
Comment 21 Susi Lehtola 2012-11-19 03:35:48 EST
Well, that's up to you.

On the other hand, I'd think about the necessity of using help2man; writing man pages is not that hard...
Comment 22 Sébastien Boisvert 2012-11-19 08:42:05 EST
Ray --help outputs almost a man page (with sections NAME, SYNOPSIS, DESCRIPTION, FILES, DOCUMENTATION, AUTHOR, REPORTING BUGS, COPYRIGHT), but it lacks the special formatting commands. That's why I was using help2man.

I will format the man page. In the packaging, where should I put the formatted man page ? As a patch ?
Comment 23 Sébastien Boisvert 2012-11-29 22:28:51 EST
Spec URL: http://github.com/sebhtml/ray-packaging-for-Fedora/raw/2.1.0-5/Ray.spec
SRPM URL: http://github.com/sebhtml/ray-packaging-for-Fedora/raw/2.1.0-5/Ray-2.1.0-5.fc17.src.rpm
Description: Parallel genome assemblies for parallel DNA sequencing
Fedora Account System Username: sebhtml

Hello,

I wrote the man page, help2man is not required anymore.
Comment 24 Susi Lehtola 2012-12-15 16:18:35 EST
Oh, okay.

Please do a couple of informal reviews as requested in comment #9. The review should look something like comment #12. There is a tool for automatizing many of the tasks, but it is more informative to do them manually at least for the couple of first times.

After you have done these I'll approve the package and add you to the packagers' group.
Comment 26 Susi Lehtola 2013-05-12 12:59:53 EDT
Crap, I'm terribly sorry that I totally forgot about this bug. (I did have my phd defense and so on in february.)

Do feel free to ping on bugzilla or by email any time this happens to you.

Anyway, you seem to have a pretty good handle on rpm packaging, so I feel quite confident sponsoring you. I'll keep an eye on your doings on bugzilla. I really recommend that you put some effort into performing package reviews, as they're the quickest way to improve the distro, and we always have a very long review queue waiting.

This review is hereby

APPROVED.

Continue by requesting GIT branches.
Comment 27 Sébastien Boisvert 2013-05-13 15:17:16 EDT
Hello Susi,

Congratulation on your PhD defense. I will have mine this year, in December.

I am now at Step 7 (out of 15) in the new package process [1].

Here my SCM request [2].



New Package SCM Request
=======================
Package Name: Ray
Short Description: Parallel genome assemblies for parallel DNA sequencing
Owners: sebhtml
Branches: f17 f18 f19 el6
InitialCC: jussilehtola


For the flag fedora‑cvs=?, I was not able to change it. Maybe I need to wait a bit.


---
[1] http://fedoraproject.org/wiki/New_package_process_for_existing_contributors
[2] https://fedoraproject.org/wiki/Package_SCM_admin_requests#New_Packages
Comment 28 Susi Lehtola 2013-05-13 15:27:43 EDT
(In reply to comment #27)
> Hello Susi,
> 
> Congratulation on your PhD defense. I will have mine this year, in December.

Great!

> For the flag fedora‑cvs=?, I was not able to change it. Maybe I need to wait
> a bit.

That's a bit odd, since it's been more than 24h since I sponsored you, and you should get the permissions within the hour, as per https://fedoraproject.org/wiki/Package_SCM_admin_requests#New_Packages .

You could ask someone on irc or the fedora-devel list.
Comment 29 Sébastien Boisvert 2013-06-03 08:17:53 EDT
According to the Fedora documentation [1], I need to be a member of the fedorabugs group to change the value of the fedora-cvs flag. I guess I am not a member of that group.

I'll ask on IRC for more information.


--------
[1] http://fedoraproject.org/wiki/Package_SCM_admin_requests#Introduction
Comment 30 Sébastien Boisvert 2013-06-03 08:31:50 EDT
According to you and others [1], it may have something to do with a mismatch between my bugzilla email address and my FAS email address. However, this is unlikely the case as both are seb AT boisvert.info.

On the Fedora Account System [2], I am a member of these 4 groups:

* cla_done
* cla_fpca
* fedorabugs
* packager


I also found a ticket describing the same (or similar) problem [3].

---
[1] http://mm3test.fedoraproject.org/hyperkitty/list/devel@mm3test.fedoraproject.org/thread/BT4UZJO4U7FUBPUBTWSZILA7WOETHGGV/
[2] https://admin.fedoraproject.org/accounts
[3] https://fedorahosted.org/fedora-infrastructure/ticket/1534
Comment 31 Matthias Runge 2013-06-03 09:32:04 EDT
Sebastien, is the email-Address seb@boisvert.info the same as in fas?
Comment 32 Sébastien Boisvert 2013-06-04 10:11:38 EDT
(In reply to Matthias Runge from comment #31)
> Sebastien, is the email-Address seb@boisvert.info the same as in fas?

Yes.

In https://admin.fedoraproject.org/accounts/user/view/sebhtml?_csrf_token=ABCDEFG

Email:
    seb@boisvert.info
Comment 33 Matthias Runge 2013-06-04 10:19:39 EDT
the cvs-Flag should be visible on the bottom of the header, near to "Last Closed" and "susi.lehtola: fedora-review". It may be necessary to click onto "(more flags)".
Comment 34 Sébastien Boisvert 2013-06-06 15:03:59 EDT
Created attachment 757839 [details]
These are the flags I see. I don't see the flag "fedora-cvs".
Comment 35 Susi Lehtola 2013-07-15 07:04:00 EDT
Any progress...?
Comment 36 Sébastien Boisvert 2013-07-15 08:56:10 EDT
I still don't see the cvs-flag.

I went on the fedora-admin IRC channel.

Matthias Runge  (see above) verified that my email was the same in FAS and in bugzilla.

I don't know what I can do to make progress for this ticket.
Comment 37 Sébastien Boisvert 2013-07-15 09:34:06 EDT
FranciscoD on #fedora-admin told me to fill a ticket. Here is my ticket:

https://fedorahosted.org/fedora-infrastructure/ticket/3891
Comment 38 Sébastien Boisvert 2013-07-15 11:55:52 EDT
New Package SCM Request
=======================
Package Name: Ray
Short Description: Parallel genome assemblies for parallel DNA sequencing
Owners: sebhtml
Branches: f17 f18 f19 el6
InitialCC: jussilehtola
Comment 39 Jon Ciesla 2013-07-15 12:04:32 EDT
Git done (by process-git-requests).
Comment 40 Sébastien Boisvert 2013-07-15 14:32:52 EDT
Hi,

The git module: http://pkgs.fedoraproject.org/cgit/Ray.git/


I successfully built the package for f18, f19 using "fedpkg build".

fc18
http://koji.fedoraproject.org/koji/taskinfo?taskID=5609703

f19
http://koji.fedoraproject.org/koji/taskinfo?taskID=5609787



For el6, it fails for ppc64 because there is no package mpich2-devel:

DEBUG util.py:264:  Error: No Package found for mpich2-devel

el6
http://koji.fedoraproject.org/koji/taskinfo?taskID=5609961
Comment 41 Susi Lehtola 2013-07-15 16:29:50 EDT
(In reply to Sébastien Boisvert from comment #40)
> For el6, it fails for ppc64 because there is no package mpich2-devel:
> 
> DEBUG util.py:264:  Error: No Package found for mpich2-devel 

Right, I've had the same issue with other packages as well. You'll need to disable the mpich2 package on el6 ppc64. You can do this with rpm macros, e.g.

%global mpich2 1
%ifarch ppc64
%if 0%{?rhel}==5 || 0%{?rhel} == 6
%global mpich2 0
%endif
%endif

and then conditionalize the mpich2 parts with

%if %mpich2
foo
bar
%endif
Comment 42 Sébastien Boisvert 2013-07-15 17:41:32 EDT
(In reply to Susi Lehtola from comment #41)
> (In reply to Sébastien Boisvert from comment #40)
> > For el6, it fails for ppc64 because there is no package mpich2-devel:
> > 
> > DEBUG util.py:264:  Error: No Package found for mpich2-devel 
> 
> Right, I've had the same issue with other packages as well. You'll need to
> disable the mpich2 package on el6 ppc64. You can do this with rpm macros,
> e.g.
> 
> %global mpich2 1
> %ifarch ppc64
> %if 0%{?rhel}==5 || 0%{?rhel} == 6
> %global mpich2 0
> %endif
> %endif
> 
> and then conditionalize the mpich2 parts with
> 
> %if %mpich2
> foo
> bar
> %endif

Thanks !

Ray-2.1.0-6.el6
http://koji.fedoraproject.org/koji/taskinfo?taskID=5610875


So I saw that there were tags like bwa-0_5_8a-1_fc12. Are these generated automatically ?


Is is possible to also have branches for f17 and el5 ?


Also, do you think it is necessary to build Ray-2.1.0-6.f18 and Ray-2.1.0-6.f19 since nothing changed for these ?


Thank you for your time !
Comment 43 Susi Lehtola 2013-07-15 17:50:17 EDT
EL5? Sure. F17? Probably, but I'd really think twice - it's going to EOL anyway in a month or so.

And yes, you have to do separate builds for every Fedora release. Even though the sources are the same, the underlying compilers and libraries are not.

When you have built everything and submit the packages as updates, remember to mark this bug in the fixed bugs field.
Comment 44 Susi Lehtola 2013-07-15 17:55:18 EDT
(In reply to Sébastien Boisvert from comment #40)
> Hi,
> 
> The git module: http://pkgs.fedoraproject.org/cgit/Ray.git/

Btw, you don't have to report these anymore. When the review is through you just import, build and submit the updates.

**

If you decide to build for EPEL5, you'll need to adjust the spec file, adding e.g. the Buildroot tag and %defattr's to the %files sections. See the EPEL guidelines for more info. Having the extra stuff doesn't hurt in newer distros either; normally they're just defaulted by rpm.
Comment 45 Fedora Update System 2013-07-15 20:02:32 EDT
Ray-2.1.0-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/Ray-2.1.0-6.fc19
Comment 46 Fedora Update System 2013-07-15 20:02:50 EDT
Ray-2.1.0-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/Ray-2.1.0-6.el6
Comment 47 Fedora Update System 2013-07-15 20:03:06 EDT
Ray-2.1.0-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/Ray-2.1.0-6.fc18
Comment 48 Fedora Update System 2013-07-16 15:03:46 EDT
Package Ray-2.1.0-6.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing Ray-2.1.0-6.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10855/Ray-2.1.0-6.el6
then log in and leave karma (feedback).
Comment 49 Fedora Update System 2013-08-01 23:33:28 EDT
Ray-2.1.0-6.fc19 has been pushed to the Fedora 19 stable repository.
Comment 50 Fedora Update System 2013-08-01 23:54:13 EDT
Ray-2.1.0-6.fc18 has been pushed to the Fedora 18 stable repository.
Comment 51 Fedora Update System 2014-03-02 11:21:38 EST
Ray-2.3.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/Ray-2.3.1-3.el6
Comment 52 Fedora Update System 2014-03-06 16:09:39 EST
Ray-2.1.0-6.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 53 Fedora Update System 2014-03-17 01:58:02 EDT
Ray-2.3.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 54 Sébastien Boisvert 2015-03-26 18:15:49 EDT
Package Change Request
======================
Package Name: Ray
New Branches: el6
Owners: sebhtml


I would like to unretire the el6 branch. Thanks
Comment 55 Jon Ciesla 2015-03-27 08:32:20 EDT
Complete.